---
title: IntersectionObserver.disconnect()
slug: Web/API/IntersectionObserver/disconnect
tags:
  - API
  - Disconnect
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserver
  - Method
  - Reference
---
<div>{{APIRef("Intersection Observer API")}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserver")}} method <code><strong>disconnect()</strong></code> stops watching all of its target elements for visibility changes.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>intersectionObserver</em>.disconnect();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('IntersectionObserver','#dom-intersectionobserver-disconnect','IntersectionObserver.disconnect()')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserver.disconnect")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("IntersectionObserver.observe", "observe()")}}</li>
 <li>{{domxref("IntersectionObserver.unobserve", "unobserve()")}}</li>
</ul>
